﻿@using Microsoft.AspNetCore.Mvc.Rendering
@model Talox.Api.Models.AccountViewModels.LoginViewModel
@{
    ViewData["Title"] = "Login";
}
<div class="login_wrapper">
    <div class="login-card">
        <h1>Great to have you back.<br>Let's get started for today.</h1>
        <br>
        <div style="text-align:center;">
            <h3>Login</h3>
        </div>
        <br>
        <p class="error-div">
            @Html.ValidationSummary(false, null, new { @class = "text-danger" })
        </p>
        @using (Html.BeginForm("Login", "Account", new { returnUrl = ViewData["ReturnUrl"] }, FormMethod.Post, true, null))
        {
            @Html.TextBoxFor(x => x.UserName, new { placeholder = "Username", style = "border-radius:4px;" })
            @Html.PasswordFor(x => x.Password, new { placeholder = "Password", style = "border-radius:4px;" })
            <div class="login-help">
                <button type="submit" name="login" class="btn talox-button">
                    Login
                </button>
            </div>
        }
        <div class="login-help">
            <a href="@Url.Action("ForgotPassword","Account")">Forgot password</a> | <a href="mailto:info@talox.com?subject=Contact us Inquiry">Contact us</a>
            <br><br><br>
            <a href="https://www.talox.com" style="opacity:1;">
                <img src="~/img/talox2.png" width=100px;>
            </a>
        </div>

    </div>
</div>
